﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InterfaceTest
{
    class Program
    {
        static void Main(string[] args)
        {
            //ドリッパーオブジェクトを生成
            Dripper dripper = new Dripper();

            while (true)
            {
                //メニューを入力
                Console.WriteLine("飲み物を選んでください。");
                Console.Write("1)珈琲　2)紅茶　9)終了：");
                string drink = Console.ReadLine();

                if (drink == "9")
                {
                    //プログラムを終了する
                    return;
                }

                Console.Write("ミルクは注ぎますか(Y/N)：");
                string milk = Console.ReadLine();

                //ミルクの状態をドリッパーにセットする
                if (milk == "Y")
                {
                    dripper.setMilkStatus(true);
                }
                else if (milk == "N")
                {
                    dripper.setMilkStatus(false);
                }

                //入力内容によって分岐する
                string cup = "";
                switch (drink)
                {
                    case "1":
                        //珈琲を注ぐ
                        cup = dripper.DripDrink(new Coffee());
                        break;
                    case "2":
                        //紅茶を注ぐ
                        cup = dripper.DripDrink(new Tea());
                        break;
                }

                //カップの中身を表示する
                Console.WriteLine("カップには{0}が入っています。", cup);
            }
        }
    }
}
